#include <ptlib.h>

#ifdef __GNUC__
#define H323_STATIC_LIB
#endif

#include "main.h"
#include "../../version.h"

#ifdef P_RTEMS
extern "C" {
#include "../system.h"
#include "../networkconfig.h"
}
#endif


#define new PNEW

PCREATE_PROCESS(TestH323Process);


///////////////////////////////////////////////////////////////

TestH323Process::TestH323Process()
  : PProcess("OpenH323 Project", "TestH323",
             MAJOR_VERSION, MINOR_VERSION, BUILD_TYPE, BUILD_NUMBER)
{
}


TestH323Process::~TestH323Process()
{
}


void TestH323Process::Main()
{
  cout << GetName()
       << " Version " << GetVersion(TRUE)
       << " by " << GetManufacturer()
       << " on " << GetOSClass() << ' ' << GetOSName()
       << " (" << GetOSVersion() << '-' << GetOSHardware() << ")\n\n";

  H323EndPoint *ep = new H323EndPoint();
  delete ep;
  
  cout << "Exiting " << GetName() << endl;
}


// End of File ///////////////////////////////////////////////////////////////

